# std::deque<T,Allocator>::rbegin, std::deque<T,Allocator>::crbegin

From cppreference.com
< cpp‎ | container‎ | deque

reverse_iterator rbegin(); |  | (until C++11)
reverse_iterator rbegin() noexcept; |  | (since C++11)
const_reverse_iterator rbegin() const; |  | (until C++11)
const_reverse_iterator rbegin() const noexcept; |  | (since C++11)
const_reverse_iterator crbegin() const noexcept; |  | (since C++11)

Returns a reverse iterator to the first element of the reversed container. It corresponds to the last element of the non-reversed container. If the container is empty, the returned iterator is equal to rend().

### Parameters

(none)

### Return value

Reverse iterator to the first element.

### Complexity

Constant.

### See also

rend crend | returns a reverse iterator to the end (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/container/deque/rbegin&oldid=50470"